Jump to
Ctrl
+
/

Create Multiple Transfer

POST
/vaults/{vaultId}/transaction-requests/multiple-transfer

Through this endpoint users can make UTXO-based transactions.


To have an operational callback subscription, you need to first verify a domain for the Callback URL. Please see more information on Callbacks here.

Vaultody will notify the user only when the event occurs. There are cases when the specific event doesn't happen at all, or takes a long time to do so. A callback notification will not be sent if the event does not or cannot occur, or will take long time to occur.

Path Parameters

vaultId string Required

Sender's Vault ID.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
assetId string Required

Unique internal identifier of the blockchain asset involved in the transaction.

feePriority string Required

Fee priority of the transaction - slow, standard, fast.

maxFee string Optional

The maximum allowable transaction fee set by the client. If the actual transaction fee exceeds this value, the transaction will not be processed.

note string Required

Represents an optional note to add a free text in, explaining or providing additional detail on the transaction request.

prepareStrategy string Required

Refers to a model of a UTXO spending strategy, where customers can choose how to spend their transaction outputs from multiple addresses.

recipients array Items (object) Required

Destinations for the transaction.

address string Required

Destination address.

amount string Required

Destination amount.

vaultAccountId string Required

Unique identifier of the Vault Account.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
amountUnit string Required

Amount unit.

BTC
feePriority string Required

Fee priority of the transaction - slow, standard, fast.

slow
maxFee string Optional

The maximum allowable transaction fee set by the client. If the actual transaction fee exceeds this value, the transaction will not be processed.

0.003
note string Required

Transaction note with additional details.

yourExampleStringHere
prepareStrategy string Required

UTXO prepare strategy used.

optimize-size
recipients array Items (object) Required

Destinations of the transaction

address string Required

Address of the destination.

bc1qut6n59lceee7s94g5qme08yzu8evd2yfjuuu3k
amount string Required

Defines the amount sent to the destination address.

0.001
amountUnit string Required

Defines the unit of the received amount for the address, e.g. BTC, LTC.

BTC
convertedAmountToUSD string Required

Amount calculated in USD.

95.42
totalTransactionAmount string Required

Total amount of the transaction.

0.001
transactionRequestId string Required

Represents a unique identifier of the transaction request (the request sent to make a transaction), which helps in identifying which callback and which referenceId concern that specific transaction request.

62daacdbc8a7282e9ea01c35
transactionRequestStatus string Required

Defines the status of the transaction, e.g. "created".

created

Callback parameters

walletId string Required

Unique identifier of the wallet associated with the transaction.

685121237d7d1e0007ac1a1d
webhookId string Required

Unique identifier of the webhook that triggered this callback.

68516e9c6620b0a4790ed541
idempotencyKey string Required

A unique key used to prevent duplicate processing of this callback if it's sent more than once.

928fe1786859b5e33a2f63c569a0351e0c90cbe35bc5a7bb0bb1523cd371dda9
apiVersion string Required

The version of the API that this webhook callback conforms.

2025-09-23
data object Required

Contains the event type and all related transaction information.

event string Required

Type of webhook event: TRANSACTION_REQUEST indicates a new transaction request has been created and is pending approval or rejection.

TRANSACTION_REQUEST
item object Required

Contains detailed metadata about the outgoing mined transaction

vaultAccountId string Required

The specific vault account id.

69ba58c529eb49000746b311
assetId string Required

The specific asset id.

6913471c6b2794841dc8fb6f
unit string Required

The specific asset unit.

BTC
requestId string Required

A unique identifier for the original transaction request that initiated this outgoing transaction.

686cd2860ca2f4fd25f77099
transactionType string Required

The type of asset being transferred: COIN, TOKEN, LINKING, SMART_COIN, SMART_TOKEN, FREEZE, UNFREEZE, DELEGATE, UNDELEGATE, WITHDRAW_RESOURCE,BATCH.

COIN

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "amountUnit": "BTC",
            "feePriority": "slow",
            "maxFee": "0.003",
            "note": "yourExampleStringHere",
            "prepareStrategy": "optimize-size",
            "recipients": [
                {
                    "address": "bc1qut6n59lceee7s94g5qme08yzu8evd2yfjuuu3k",
                    "amount": "0.001",
                    "amountUnit": "BTC",
                    "convertedAmountToUSD": "95.42"
                }
            ],
            "totalTransactionAmount": "0.001",
            "transactionRequestId": "62daacdbc8a7282e9ea01c35",
            "transactionRequestStatus": "created"
        }
    }
}
{
    "walletId": "685121237d7d1e0007ac1a1d",
    "webhookId": "68516e9c6620b0a4790ed541",
    "idempotencyKey": "928fe1786859b5e33a2f63c569a0351e0c90cbe35bc5a7bb0bb1523cd371dda9",
    "apiVersion": "2025-09-23",
    "data": {
        "event": "TRANSACTION_REQUEST",
        "item": {
            "vaultAccountId": "69ba58c529eb49000746b311",
            "assetId": "6913471c6b2794841dc8fb6f",
            "unit": "BTC",
            "requestId": "686cd2860ca2f4fd25f77099",
            "transactionType": "COIN"
        }
    }
}